App::Sqitch::Role::RevertDeployCommand(3pm)

Name
App::Sqitch::Role::RevertDeployCommand - A command that reverts and deploys

Synopsis
  package App::Sqitch::Command::rebase;
  extends 'App::Sqitch::Command';
  with 'App::Sqitch::Role::RevertDeployCommand';

Description
This role encapsulates the common attributes and methods required by commands that both revert and deploy.

Interface

  Class Methods
"options"

  my @opts = App::Sqitch::Command::checkout->options;

Adds options common to the commands that revert and deploy.

"configure"

Configures the options common to commands that revert and deploy.

  Attributes
"log_only"

Boolean indicating whether to log the deploy without running the scripts.

"lock_timeout"

The number of seconds to wait for an exclusive advisory lock on the target, for engines that support the feature.

"no_prompt"

Boolean indicating whether or not to prompt the user to really go through with the revert.

"prompt_accept"

Boolean value to indicate whether or not the default value for the prompt, should the user hit "return", is to accept the prompt or deny it.

"strict"

Boolean value to indicate whether or not strict mode is enabled; if so, use of these commands is prohibited.

"target"

The deployment target URI.

"verify"

Boolean indicating whether or not to run verify scripts after deploying changes.

"mode"

Deploy mode, one of "change", "tag", or "all".

See Also

App::Sqitch::Command::rebase
    The "rebase" command reverts and deploys changes.

App::Sqitch::Command::checkout
    The "checkout" command takes a VCS commit name, determines the last change in common with the current commit, reverts to that change, then checks out the named commit and re-deploys.

Author
David E. Wheeler <david@justatheory.com>

License
Copyright (c) 2012-2026 David E. Wheeler, 2012-2021 iovation Inc.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.